"Browser Not Supported" errors, even with a user-agent switcher extension.



  • Several sites I visit for work show a "browser not supported" error, or tell me I'm using an outdated browser and to "please update". I've started using a Chrome extension called "User Agent Switcher" to make it look like I'm using Chrome instead of Vivaldi, but I still have this issue -- especially on sites hosted by Microsoft and Apple.

    I was under the impression that Vivaldi is based on the most recent version of Chromium so I don't see why it wouldn't appear the same to the sites I visit.

    Does anyone know what might be causing this and how I can fix?

    Thanks,
    Ted


  • Moderator

    @tedcurran said in "Browser Not Supported" errors, even with a user-agent switcher extension.:

    Does anyone know what might be causing this and how I can fix?

    These sites do not like the browser identification (=User-Agent, UA) with the string Vivaldi in it.
    That is why Vivaldi has to send a faked UA to these sites.

    @tedcurran said in "Browser Not Supported" errors, even with a user-agent switcher extension.:

    I've started using a Chrome extension called "User Agent Switcher" to make it look like I'm using Chrome instead of Vivaldi, but I still have this issue -- especially on sites hosted by Microsoft and Apple.

    Open options of "User Agent Switcher"
    Add this User-Agent:
    Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.79 Safari/537.36

    0_1543946414904_chrome71-ua-fake.png


 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.